## lagan 2.0

=== Makefile ===
all:
	(cd src; $(MAKE))
clean:
	rm -f chaos anchors order glocal utils/bin2bl mlagan utils/cstat utils/bin2mf utils/rc *~ utils/contigorder utils/getbounds utils/cextract utils/seqmerge utils/getlength utils/getoverlap utils/*~ utils/scorealign utils/scorecontigs mlagan.purify utils/getcontigpos utils/fa2xfa utils/Glue utils/dotplot utils/overlay
	(cd src; $(MAKE) clean)

=== src/glocal/Makefile ===
CC = g++
OPTFLAGS = 
CFLAGS = $(OPTFLAGS) -O3
CLINKER = g++ 
# LIBDIR = -L/usr/local/lib
MLIB =  -lm
INCDIR =   -I./
TRGT_DIR = ../..
TRGT = glocal
OBJECTS = glocal.o io.o rightinfluence.o leftinfluence.o score.o

.cpp.o:
	$(CC) -Wno-deprecated $(CFLAGS) $(INCDIR) -c $*.cpp

$(TRGT): $(OBJECTS)
	$(CLINKER) $(OPTFLAGS) $(OBJECTS) -o $(TRGT_DIR)/$(TRGT) $(MLIB)

clean :
	rm -f *.o ./*~ *~ core

=== debian/changelog ===
lagan (2.0-10) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with
    implicit-function-declaration (Closes: #1066580)

 -- Nilesh Patra <nilesh@iki.fi>  Mon, 25 Mar 2024 12:32:30 +0530

lagan (2.0-9) unstable; urgency=medium

  * Team upload.
  * Propagate hardening flags in src/glocal
  * Add patch to fix FTBFS with lto (Closes: #1015467)
  * d/p/hardening.patch: quote LDFLAGS so as to
    pass all relevant flags in makefile w/o confusing make

 -- Nilesh Patra <nilesh@debian.org>  Sun, 07 Aug 2022 13:59:54 +0530

lagan (2.0-8) unstable; urgency=medium

  * Team Upload.
  * d/rules: Add -fsigned-char to
    DEB_CFLAGS_MAINT_APPEND (Fixed !x86 debci)
  * Propagate hardening flags

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 13:29:54 +0530

lagan (2.0-7) unstable; urgency=medium

  * Team upload

  [ Lance Lin ]
  * Add autopkgtest for mlagan and order
  * Updates d/lagan.links to add addtitional links to fix path issues

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)

 -- Lance Lin <LQi254@protonmail.com>  Tue, 8 Mar 2022 19:48:21 +0700

lagan (2.0-6) unstable; urgency=medium

  * Team upload

  [ Nilesh Patra ]
  * Add patch for GCC-10
    Closes: #957415

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 17 Apr 2020 20:39:11 +0200

lagan (2.0-5) unstable; urgency=medium

  * Team upload

  [ Gianfranco Costamagna ]
  * removed "inline" helps to avoid FTBFS (Closes: #925728)

  [ Steffen Moeller ]
  * <ctype.h> included to help FTBFS
  * verbose builds, please

 -- Steffen Moeller <moeller@debian.org>  Fri, 16 Aug 2019 19:49:41 +0200

lagan (2.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * fix insane upstream build system
    Closes: #929590

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jun 2019 13:40:14 +0200

lagan (2.0-3) unstable; urgency=medium

  * Upload to unstable
  * debhelper 11
  * Drop useless get-orig-source target
  * Remove trailing whitespace in debian/changelog
  * Move /usr/bin/chaos to /usr/lib/lagan/bin
    Closes: #914687
  * debian/README.Debian: Document move of /usr/bin/chaos
  * Propagate hardening and debug options

 -- Andreas Tille <tille@debian.org>  Tue, 04 Dec 2018 08:36:52 +0100

lagan (2.0-2) experimental; urgency=low

  * Initial release to experimental to invite peer review (Closes: #908215).
  * Added man page for mlagan, also added *.pl scripts to /usr/bin
  * Added embarrassingly simple test routine to run "mlagan -h"
  * Solved compile time "ambiguity" error
  * d/control:
    - Bumped policy to 4.2.1
    - Adjusted URLs to repository
  * d/changelog: updated GSF address
  * lintian overrides for .pl endings

 -- Steffen Moeller <moeller@debian.org>  Fri, 07 Sep 2018 14:10:07 +0200

lagan (2.0-1) UNRELEASED; urgency=low

  * TODO:
     - fix installation location possibly wrapper script featuring
       some $lagandir path variable (/usr/lib/lagan ???)
     - manpages
     - permissions
     - hardening
     - testing

  * Moved packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 10:31:20 +0100

=== debian/control ===
Source: lagan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/lagan
Vcs-Git: https://salsa.debian.org/med-team/lagan.git
Homepage: http://lagan.stanford.edu/lagan_web/index.shtml
Rules-Requires-Root: no

Package: lagan
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: highly parametrizable pairwise global genome sequence aligner
 Lagan takes local alignments generated by CHAOS as anchors, and limits
 the search area of the Needleman-Wunsch algorithm around these anchors.
 .
 Multi-LAGAN is a generalization of the pairwise algorithm to multiple
 sequence alignment.  M-LAGAN performs progressive pairwise alignments,
 guided by a user-specified phylogenetic tree. Alignments are aligned to
 other alignments using the sum-of-pairs metric.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export DEB_CFLAGS_MAINT_APPEND=-fsigned-char

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --sourcedirectory=src

override_dh_auto_clean:
	dh_auto_clean
	rm -f prolagan

override_dh_fixperms:
	dh_fixperms
	find debian -name flipchaos.pl -exec chmod +x \{\} \;

=== debian/watch ===
version=4

# normally this would be something like:
#    echo 20 |sed 's/\(.\)/\1\./g;s/.$//'
# but somehow this does not work here
 
opts=uversionmangle=s/2/2\./\
  http://lagan.stanford.edu/lagan_web/citing.shtml lagan(.*)\.tar\.gz
